<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (21) -->
<title>Uses of Package org.apache.commons.cli (Apache Commons CLI 1.6.0 API)</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="description" content="use: package: org.apache.commons.cli">
<meta name="generator" content="javadoc/PackageUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="package-use-page">
<script type="text/javascript">var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html#use">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../../../../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Package org.apache.commons.cli" class="title">Uses of Package<br>org.apache.commons.cli</h1>
</div>
<section class="package-uses">
<ul class="block-list">
<li>
<section class="detail" id="org.apache.commons.cli">
<div class="caption"><span>Classes in <a href="package-summary.html">org.apache.commons.cli</a> used by <a href="package-summary.html">org.apache.commons.cli</a></span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><a href="class-use/AlreadySelectedException.html#org.apache.commons.cli">AlreadySelectedException</a></div>
<div class="col-last even-row-color">
<div class="block">Thrown when more than one option in an option group has been provided.</div>
</div>
<div class="col-first odd-row-color"><a href="class-use/CommandLine.html#org.apache.commons.cli">CommandLine</a></div>
<div class="col-last odd-row-color">
<div class="block">Represents list of arguments parsed against a <a href="Options.html" title="class in org.apache.commons.cli"><code>Options</code></a> descriptor.</div>
</div>
<div class="col-first even-row-color"><a href="class-use/CommandLine.Builder.html#org.apache.commons.cli">CommandLine.Builder</a></div>
<div class="col-last even-row-color">
<div class="block">A nested builder class to create <code>CommandLine</code> instance using descriptive methods.</div>
</div>
<div class="col-first odd-row-color"><a href="class-use/CommandLineParser.html#org.apache.commons.cli">CommandLineParser</a></div>
<div class="col-last odd-row-color">
<div class="block">A class that implements the <code>CommandLineParser</code> interface can parse a String array according to the
 <a href="Options.html" title="class in org.apache.commons.cli"><code>Options</code></a> specified and return a <a href="CommandLine.html" title="class in org.apache.commons.cli"><code>CommandLine</code></a>.</div>
</div>
<div class="col-first even-row-color"><a href="class-use/DefaultParser.html#org.apache.commons.cli">DefaultParser</a></div>
<div class="col-last even-row-color">
<div class="block">Default parser.</div>
</div>
<div class="col-first odd-row-color"><a href="class-use/DefaultParser.Builder.html#org.apache.commons.cli">DefaultParser.Builder</a></div>
<div class="col-last odd-row-color">
<div class="block">A nested builder class to create <code>DefaultParser</code> instances
 using descriptive methods.</div>
</div>
<div class="col-first even-row-color"><a href="class-use/MissingOptionException.html#org.apache.commons.cli">MissingOptionException</a></div>
<div class="col-last even-row-color">
<div class="block">Thrown when a required option has not been provided.</div>
</div>
<div class="col-first odd-row-color"><a href="class-use/Option.html#org.apache.commons.cli">Option</a></div>
<div class="col-last odd-row-color">
<div class="block">Describes a single command-line option.</div>
</div>
<div class="col-first even-row-color"><a href="class-use/Option.Builder.html#org.apache.commons.cli">Option.Builder</a></div>
<div class="col-last even-row-color">
<div class="block">A nested builder class to create <code>Option</code> instances using descriptive methods.</div>
</div>
<div class="col-first odd-row-color"><a href="class-use/OptionBuilder.html#org.apache.commons.cli">OptionBuilder</a></div>
<div class="col-last odd-row-color">
<div class="block"><span class="deprecated-label">Deprecated.</span>
<div class="deprecation-comment">since 1.3, use <a href="Option.html#builder(java.lang.String)"><code>Option.builder(String)</code></a> instead</div>
</div>
</div>
<div class="col-first even-row-color"><a href="class-use/OptionGroup.html#org.apache.commons.cli">OptionGroup</a></div>
<div class="col-last even-row-color">
<div class="block">A group of mutually exclusive options.</div>
</div>
<div class="col-first odd-row-color"><a href="class-use/Options.html#org.apache.commons.cli">Options</a></div>
<div class="col-last odd-row-color">
<div class="block">Main entry-point into the library.</div>
</div>
<div class="col-first even-row-color"><a href="class-use/ParseException.html#org.apache.commons.cli">ParseException</a></div>
<div class="col-last even-row-color">
<div class="block">Base for Exceptions thrown during parsing of a command-line.</div>
</div>
<div class="col-first odd-row-color"><a href="class-use/Parser.html#org.apache.commons.cli">Parser</a></div>
<div class="col-last odd-row-color">
<div class="block"><span class="deprecated-label">Deprecated.</span>
<div class="deprecation-comment">since 1.3, the two-pass parsing with the flatten method is not enough flexible to handle complex cases</div>
</div>
</div>
<div class="col-first even-row-color"><a href="class-use/UnrecognizedOptionException.html#org.apache.commons.cli">UnrecognizedOptionException</a></div>
<div class="col-last even-row-color">
<div class="block">Thrown during parsing signaling an unrecognized option.</div>
</div>
</div>
</section>
</li>
</ul>
</section>
</main>
<footer role="contentinfo">
<hr>
<p class="legal-copy"><small>Copyright &#169; 2002&#x2013;2023 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</footer>
</div>
</div>
</body>
</html>
